View Issue Details

IDProjectCategoryView StatusLast Update
0001499Ham Radio DeluxeBugpublic2018-12-01 08:08
ReporterSupport 
Assigned ToW4PC 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformNoneOSEmptyOS Version
Product Version 
Target VersionFixed in Version6.2.4 
Summary0001499: Elecraft: HRD and K3 - Selected buttons not highlighted
DescriptionI'm running HRD V6.0.0.132 and a K3. O/S is 64-bit Windows 7 Professional.

Some HRD buttons that toggle a function ON/OFF are not highlighted when
selected. Other buttons that toggle a function ON/OFF are operating properly.

The function toggle buttons that do are not being highlighted here are:

ALT, ATU, COURSE, NR, VOX, NOTCH, RX ANT, TEST

Instead of highlighting, the buttons listed above give a high tone/low tone beep
when the function is selected/deselected.
Steps To ReproduceConnect HRD V6.0.0.132 and a K3.
Additional InformationReported by k6mkf
TagsElecraft, K3
ModuleRig Control
Sub-Module(select)
Testing

Relationships

Activities

W4PC

2014-01-27 23:14

updater   ~0000144

Dup bug, fixed in 6.2

W4PC

2014-02-19 12:30

updater   ~0000356

Fixed in next beta: (work around of firmware bugs)
AFX - doesn't do anything.​
​AGC - Off = it switches to fast not off
​Mode + - skips modes, but also skips lsb and usb and data. switches between cw and am only
Mode - - Does the same as mode +
Band + - skips bands when pressed
Band - - skips bands when pressed
​Xfil - only selects two filters #2 and #4 skips filter #1 and #3
​Freq Entrey - Does not work at all
​NB - will turn on, but cant turn it off.
​Meter - will not work
​NR - Does not work at all.
​Notch - only turns off but will not turn it on.
​CWT - Turn it on, but will not turn it off.
​Fine - Does not work at all
​Dual PB - Does not work
​Test - does not work.

ALT
ATU
COURSE
VOX
RX ANT

​Firmware bugs in the K3
​=======================
PF1 - does not work
PF2 - does not work
​Data does not work..

WA9PIE

2014-08-18 15:04

administrator   ~0000505

Cleaning up closed items already marked "Resolved".

Mike, WA9PIE

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Status new => assigned
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:30 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2013-12-28 01:34 WA9PIE Project @5@ => 3 - Current Dev List
2014-01-19 23:42 WA9PIE Assigned To Support => W4PC
2014-01-27 23:14 W4PC Note Added: 0000144
2014-01-27 23:14 W4PC Release => 6.1
2014-01-27 23:14 W4PC Fix Build => 6.2
2014-01-27 23:14 W4PC Module => Rig Control
2014-01-27 23:14 W4PC Sub-Module => (select)
2014-01-27 23:14 W4PC Report Build => 6.1.4.189
2014-01-27 23:14 W4PC Status assigned => resolved
2014-01-27 23:14 W4PC Resolution open => fixed
2014-02-02 12:53 WA9PIE Summary HRD and K3 - Selected buttons not highlighted => Bug: HRD and K3 - Selected buttons not highlighted
2014-02-02 12:53 WA9PIE Description Updated View Revisions
2014-02-02 12:53 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 16:40 WA9PIE View Status private => public
2014-02-19 12:30 W4PC Note Added: 0000356
2014-02-19 12:30 W4PC Status resolved => new
2014-02-19 12:30 W4PC Fix Build 6.2 => 6.2.221
2014-02-19 12:30 W4PC Status new => resolved
2014-03-25 21:11 WA9PIE Summary Bug: HRD and K3 - Selected buttons not highlighted => Bug: Elecraft: HRD and K3 - Selected buttons not highlighted
2014-05-27 14:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-05-27 14:39 WA9PIE Category Rig Control => General
2014-08-18 15:04 WA9PIE Note Added: 0000505
2014-08-18 15:04 WA9PIE Status resolved => closed
2015-09-30 12:37 WA9PIE Fix Build 6.2.221 => (select)
2015-09-30 12:37 WA9PIE Proposed Release => TBD
2015-09-30 12:37 WA9PIE Summary Bug: Elecraft: HRD and K3 - Selected buttons not highlighted => Elecraft: HRD and K3 - Selected buttons not highlighted
2015-09-30 13:34 WA9PIE Category General => Bug
2017-06-19 20:41 WA9PIE Fixed in Version => 6.2.4
2018-12-01 08:08 WA9PIE Tag Attached: Elecraft
2018-12-01 08:08 WA9PIE Tag Attached: K3